ActionController::Routing::Routes.draw do |map|
  map.with_options :path_prefix => 'baseline/compliance' do |map|
    map.with_options :controller => 'custom_report' do |map|
      map.custom_report_conflict "group/:id/custom/conflict", :action => 'show_conflict'
      map.generate_custom_report "group/:id/custom/generate", :action => 'generate'
      map.custom_node "group/:id/custom/node/:node_id", :action => 'show_node'
      map.custom_report "group/:id/custom/:action.:format", :action => 'common'
    end
    map.with_options :controller => 'group_report' do |map|
      map.group_compliance "group/:id/conflict", :action => 'show_conflict'
      map.group_compliance "group/:id/node/:node_id", :action => 'show_node'
      map.group_compliance "group/:id/:action.:format", :action => 'common'
    end
    map.with_options :controller => 'node_report' do |map|
      map.node_compliance  "node/list", :action => 'list'
      map.node_compliance  "node/:id", :action => 'show'
      map.node_compliance  "node/review/:diff_id", :action => 'mark_as_reviewed'
      map.node_compliance  "node/:id/review", :action => 'mark_all_as_reviewed'
      map.node_compliance  "node/:id/:action.:format"
    end

    map.compliance ":action", :controller => "compliance"
  end
  # map.diffs "reports/:id/diff", {:controller=>"diffs", :action=>"diff"}
  # map.diff_group "node_groups/:id/diff", {:controller=>"diffs", :action=>"diff_group"}
  # map.make_baseline "reports/:id/make_baseline", {:controller=>"baselines", :action=>"make_baseline"}
  # map.baselines "reports/baselines", {:controller=>"baselines", :action=>"index"}
end

